Subject: [PATCH/RFC 0/2] Bug fixes regarding diff and "git add -N"

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Mon, 9 Mar 2015 21:14:03 +0700

The first one attempts to fix "git status" reporting intent-to-add
files as "changes to be committed". The "new file" report is now moved
to "git diff-files" aka "changes not staged for commit" instead.

I just want to check if I'm going on the right direction as core diff
machinery is not really my area. I know these patches break t2203 and
t4011 but from a quick glance, the tests simply rely on the old behavior,
not real breakages.

Nguyễn Thái Ngọc Duy (2):
  diff --cached: do not report i-t-a entries as "new"
  diff-files: mark i-t-a paths as "new"

 builtin/add.c | 1 +
 diff-lib.c    | 7 +++++++
 2 files changed, 8 insertions(+)

-- 
2.3.0.rc1.137.g477eb31